osgAnimation::Sampler Class Referenceabstract

`#include <Sampler>`

Inheritance diagram for osgAnimation::Sampler:

## Public Member Functions

virtual KeyframeContainer * | getKeyframeContainer ()=0
virtual const KeyframeContainer * | getKeyframeContainer () const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## getKeyframeContainer() [1/2]

virtual const KeyframeContainer * osgAnimation::Sampler::getKeyframeContainer | ( |  | ) | const

pure virtual

Implemented in osgAnimation::TemplateSampler< F >, osgAnimation::TemplateSampler< DoubleCubicBezierInterpolator >, osgAnimation::TemplateSampler< DoubleLinearInterpolator >, osgAnimation::TemplateSampler< DoubleStepInterpolator >, osgAnimation::TemplateSampler< FloatCubicBezierInterpolator >, osgAnimation::TemplateSampler< FloatLinearInterpolator >, osgAnimation::TemplateSampler< FloatStepInterpolator >, osgAnimation::TemplateSampler< MatrixLinearInterpolator >, osgAnimation::TemplateSampler< QuatSphericalLinearInterpolator >, osgAnimation::TemplateSampler< QuatStepInterpolator >, osgAnimation::TemplateSampler< Vec2CubicBezierInterpolator >, osgAnimation::TemplateSampler< Vec2LinearInterpolator >, osgAnimation::TemplateSampler< Vec2StepInterpolator >, osgAnimation::TemplateSampler< Vec3CubicBezierInterpolator >, osgAnimation::TemplateSampler< Vec3LinearInterpolator >, osgAnimation::TemplateSampler< Vec3StepInterpolator >, osgAnimation::TemplateSampler< Vec4CubicBezierInterpolator >, osgAnimation::TemplateSampler< Vec4LinearInterpolator >, and osgAnimation::TemplateSampler< Vec4StepInterpolator >.

## getKeyframeContainer() [2/2]

virtual KeyframeContainer * osgAnimation::Sampler::getKeyframeContainer | ( |  | ) |

pure virtual

Implemented in osgAnimation::TemplateSampler< F >, osgAnimation::TemplateSampler< DoubleCubicBezierInterpolator >, osgAnimation::TemplateSampler< DoubleLinearInterpolator >, osgAnimation::TemplateSampler< DoubleStepInterpolator >, osgAnimation::TemplateSampler< FloatCubicBezierInterpolator >, osgAnimation::TemplateSampler< FloatLinearInterpolator >, osgAnimation::TemplateSampler< FloatStepInterpolator >, osgAnimation::TemplateSampler< MatrixLinearInterpolator >, osgAnimation::TemplateSampler< QuatSphericalLinearInterpolator >, osgAnimation::TemplateSampler< QuatStepInterpolator >, osgAnimation::TemplateSampler< Vec2CubicBezierInterpolator >, osgAnimation::TemplateSampler< Vec2LinearInterpolator >, osgAnimation::TemplateSampler< Vec2StepInterpolator >, osgAnimation::TemplateSampler< Vec3CubicBezierInterpolator >, osgAnimation::TemplateSampler< Vec3LinearInterpolator >, osgAnimation::TemplateSampler< Vec3StepInterpolator >, osgAnimation::TemplateSampler< Vec4CubicBezierInterpolator >, osgAnimation::TemplateSampler< Vec4LinearInterpolator >, and osgAnimation::TemplateSampler< Vec4StepInterpolator >.

The documentation for this class was generated from the following file:

- osgAnimation/Sampler